Bug 1312425 - port all installer deployment scripts to use centos / rhel
port all installer deployment scripts to use centos / rhel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Storage Console
Classification: Red Hat
Component: ceph-installer (Show other bugs)
2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3
Assigned To: Alfredo Deza
ceph-qe-bugs
: CodeChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-26 11:37 EST by Alfredo Deza
Modified: 2017-01-18 07:49 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-18 07:49:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alfredo Deza 2016-02-26 11:37:51 EST
Description of problem: None of the development scripts targets CentOS/RH.
Our deployment ansible playbook currently only supports trusty, we need to port this to use centos / rhel instead.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results: 


Expected results:Can successfully deploy to a RH server.


Additional info:
Comment 9 Ken Dreyer (Red Hat) 2016-07-07 18:27:29 EDT
I think a better option here would be to add a Jenkins job that automatically generates snapshot RPMs from all Git branches (and stores them in chacra?). Then "dev" mode can go away.
Comment 10 Gregory Meno 2017-01-17 11:55:24 EST
Alfredo,

Would you please say where are we in testing this?
Comment 11 Gregory Meno 2017-01-17 11:55:40 EST
Alfredo,

Would you please say where are we in testing this?
Comment 12 Alfredo Deza 2017-01-18 07:49:56 EST
This work is complete and has been part of the Dec. 2016 release. Some details are included in the changelog: 

http://docs.ceph.com/ceph-installer/docs/changelog.html#v1-1-0-2016-12-19

Note You need to log in before you can comment on or make changes to this bug.